.container {
    display: grid;
    border: 2px solid black;
    grid-template-columns: repeat(5, 1fr);
    height: 800px;
    grid-template-areas: 
    "a a b c d" 
    "e f g g h" 
    "i j g g ." 
    "k k k l m";
    grid-gap: 2px;
}

.item {
    background-color: gray;
    border: 1px solid blue;
}

.a {
    grid-area: a;
}
.b {
    grid-area: b;
}
.c {
    grid-area: c;
}
.d {
    grid-area: d;
}
.e {
    grid-area: e;
}
.f {
    grid-area: f;
}
.g {
    grid-area: g;
}
.h {
    grid-area: h;
}
.i {
    grid-area: i;
}
.j {
    grid-area: j;
}
.k {
    grid-area: k;
}
.l {
    grid-area: l;
}
.m {
    grid-area: m;
}

@media only screen and (max-width: 576px) {
    .container {
        display: grid;
        border: 2px solid black;
        grid-template-columns: 1fr;
        height: 800px;
        grid-template-areas: 
        "a"
        "b"
        "c"
        "d"
        "e"
        "f"
        "g"
        "h"
        "i"
        "j"
        "k"
        "l"
        "m";
        grid-gap: 2px;
    }
}